summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/diamond/files/diamond.initd')
-rwxr-xr-xapp-admin/diamond/files/diamond.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/app-admin/diamond/files/diamond.initd b/app-admin/diamond/files/diamond.initd
new file mode 100755
index 000000000000..db5d443135b3
--- /dev/null
+++ b/app-admin/diamond/files/diamond.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --exec /usr/bin/diamond --pidfile /run/${SVCNAME}.pid -- -c /etc/diamond/${SVCNAME}.conf ${DIAMOND_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --pidfile /run/${SVCNAME}.pid --name diamond
+ eend $?
+}